Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163161 - KMail wont send any mail
Summary: KMail wont send any mail
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kdepim
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-13 16:10 UTC by Konrad Kosmowski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-13 20:15:13 UTC


Attachments (Terms of Use)

Description Konrad Kosmowski 2005-07-13 16:10:46 UTC
From Bugzilla Helper:
User-Agent: Opera/8.01 (Windows NT 5.2; U; en)

Description of problem:
KMail wont send any mail. Any attempt to send mail produces dialog that 
no transport mechanisms are aviable.

Version-Release number of selected component (if applicable):
kdepim-3.4.1-0.fc4.2

How reproducible:
Always

Steps to Reproduce:
1. Send mail from KMail using SMTP
  

Actual Results:  Error dialog popped out.

Expected Results:  The email should be sent.

Additional info:

KMail uses cyrus-sasl. It looks for its plugins in /usr/local/lib/sasl2 - it 
should look in /usr/lib/sasl2 - when I set SASL_HOME="/usr/lib/sasl2" 
variable KMail worked perfectly.

Comment 1 Ngo Than 2005-07-14 11:26:30 UTC
Kmail does not hardcoded the SASL path and the SASL_HOME is not used
in any libs/SMTP-server/kio_smtp!
So, i don't think it's a bug there. It's probaly a old kde configuration, which
caused this issue.

Could you please try to install all cyrus-sasl* packages and try again if it
works. Thanks

There's a similar bug http://bugs.kde.org/show_bug.cgi?id=99632.


Comment 2 John Thacker 2007-01-13 20:15:13 UTC
(This is a mass update of bugs which have been in the NEEDINFO state unmodified
for over a year and have not been confirmed for a still supported version of
Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.